<?php
/*
Plugin Name: Hackadelic Series Catalogues
Version: 1.2.0b
Description: Lightweight adminsitration interface for Hackadelic Series.
Plugin URI: http://hackadelic.com/solutions/wordpress/series
Author: Hackadelic
Author URI: http://hackadelic.com
*/
require_once 'hackadelic-series-core.php';

// ===========================================================================
// Series Catalogue Shortcodes
// ===========================================================================

class HackadelicSeriesCatalogues extends HackadelicSeriesFrontendBase
{
	function setup() {
		if (is_admin())
			;
		else
			add_shortcode('recentIn', array(&$this, 'doRecentIn'));
	}

	//-------------------------------------------------------------------------------------

	function doSeriesList($atts, $content=null) {
		global $wpdb;
		$meta_key = $this->META_KEY;
		$entries = $wpdb->get_results(
			"SELECT DISTINCT meta_value series"
		    ." FROM $wpdb->postmeta"
			." WHERE meta_key = '$meta_key'"
			." ORDER BY meta_value ASC"
			);
		$list = '';
		foreach ($entries as $each) {
			$list .= "<li>$each->series</li>";
		}
		return "<ol>$list</ol>";
	}

	//-------------------------------------------------------------------------------------

	function doRecentIn($atts, $content=null) {
		extract(shortcode_atts(array(
			'series' => null,
			'special' => null,
			), $atts ));

		if (!$series) return '<span class="shortcode-error">(no series specified)</span>';
		global $id;
		if ($special == 'current') return $this->listPosts($this->entriesIn($series), $id);
		if ($special) return $this->listPosts($this->postsIn($series), intval($special));
		return '<div class="hackadelic-series-recent">'
		     . $this->listPosts($this->postsIn($series))
			 . '</div>';
		//return 'xxx';
	}

	//-------------------------------------------------------------------------------------

	function postsIn($series) {
		return $this->entriesIn($series, -1, 'DESC', 5);
	}

	//-------------------------------------------------------------------------------------

	function listPosts($posts, $currentID=-1) {
		return $this->renderPostList($posts, $currentID, '<ul>%s</ul>');
	}
}

if (!is_admin()) {
	$hackadelicSeriesCatalogues = new HackadelicSeriesCatalogues();
	$hackadelicSeriesCatalogues->setup();
}

?>